# Bulk update collections

Updates multiple collections in a single operation. Only provided fields are modified for each collection.

Endpoint: PATCH /v1/collections/bulk
Version: 1.1.0
Security: Bearer

## Request fields (application/json):

  - `uuid` (string, required)
    Identifier of the collection to update.

  - `parentUuid` (string,null)
    Updated parent collection identifier. Null to make a root collection.

  - `code` (string,null)
    Updated code for the collection.

  - `displayName` (string,null)
    Updated display name of the collection.

  - `description` (string,null)
    Updated description of the collection.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this collection.

  - `createdAt` (string, required)
    Timestamp when this collection was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this collection was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `removedAt` (string,null)
    Timestamp when this collection was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `status` (string, required)
    Lifecycle status of a collection.
    Enum: "draft", "active", "inactive", "removed"

  - `parentUuid` (string,null)
    Identifier of the parent collection. Null for root collections.

  - `code` (string, required)
    Unique code identifier for this collection.

  - `displayName` (string, required)
    The display name of the collection.

  - `description` (string,null)
    A description of the collection.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


